Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.x500.style
Class RFC4519Style

    java.lang.Object
      org.bouncycastle.asn1.x500.style.AbstractX500NameStyle
          org.bouncycastle.asn1.x500.style.RFC4519Style

All Implemented Interfaces:
  X500NameStyle

public class RFC4519Style
extends AbstractX500NameStyle

Field Summary
`static ASN1ObjectIdentifier` | `businessCategory`
`static ASN1ObjectIdentifier` | `c`
`static ASN1ObjectIdentifier` | `cn`
`static ASN1ObjectIdentifier` | `dc`
`protected java.util.Hashtable` | `defaultLookUp`
`protected java.util.Hashtable` | `defaultSymbols`
`static ASN1ObjectIdentifier` | `description`
`static ASN1ObjectIdentifier` | `destinationIndicator`
`static ASN1ObjectIdentifier` | `distinguishedName`
`static ASN1ObjectIdentifier` | `dnQualifier`
`static ASN1ObjectIdentifier` | `enhancedSearchGuide`
`static ASN1ObjectIdentifier` | `facsimileTelephoneNumber`
`static ASN1ObjectIdentifier` | `generationQualifier`
`static ASN1ObjectIdentifier` | `givenName`
`static ASN1ObjectIdentifier` | `houseIdentifier`
`static ASN1ObjectIdentifier` | `initials`
`static X500NameStyle` | `INSTANCE` Singleton instance.
`static ASN1ObjectIdentifier` | `internationalISDNNumber`
`static ASN1ObjectIdentifier` | `l`
`static ASN1ObjectIdentifier` | `member`
`static ASN1ObjectIdentifier` | `name`
`static ASN1ObjectIdentifier` | `o`
`static ASN1ObjectIdentifier` | `ou`
`static ASN1ObjectIdentifier` | `owner`
`static ASN1ObjectIdentifier` | `physicalDeliveryOfficeName`
`static ASN1ObjectIdentifier` | `postalAddress`
`static ASN1ObjectIdentifier` | `postalCode`
`static ASN1ObjectIdentifier` | `postOfficeBox`
`static ASN1ObjectIdentifier` | `preferredDeliveryMethod`
`static ASN1ObjectIdentifier` | `registeredAddress`
`static ASN1ObjectIdentifier` | `roleOccupant`
`static ASN1ObjectIdentifier` | `searchGuide`
`static ASN1ObjectIdentifier` | `seeAlso`
`static ASN1ObjectIdentifier` | `serialNumber`
`static ASN1ObjectIdentifier` | `sn`
`static ASN1ObjectIdentifier` | `st`
`static ASN1ObjectIdentifier` | `street`
`static ASN1ObjectIdentifier` | `telephoneNumber`
`static ASN1ObjectIdentifier` | `teletexTerminalIdentifier`
`static ASN1ObjectIdentifier` | `telexNumber`
`static ASN1ObjectIdentifier` | `title`
`static ASN1ObjectIdentifier` | `uid`
`static ASN1ObjectIdentifier` | `uniqueMember`
`static ASN1ObjectIdentifier` | `userPassword`
`static ASN1ObjectIdentifier` | `x121Address`
`static ASN1ObjectIdentifier` | `x500UniqueIdentifier`

Constructor Summary
`protected` | `RFC4519Style()`

Method Summary
`ASN1ObjectIdentifier` | `attrNameToOID(java.lang.String attrName)` Return the OID associated with the passed in name.
`protected ASN1Encodable` | `encodeStringValue(ASN1ObjectIdentifier oid, java.lang.String value)` Encoded every value into a UTF8String.
`RDN[]` | `fromString(java.lang.String dirName)` Return an array of RDN generated from the passed in String.
`java.lang.String[]` | `oidToAttrNames(ASN1ObjectIdentifier oid)` Return the acceptable names in a String DN that map to OID.
`java.lang.String` | `oidToDisplayName(ASN1ObjectIdentifier oid)` Return the display name for toString() associated with the OID.
`java.lang.String` | `toString(X500Name name)` Convert the passed in X500Name to a String.

Methods inherited from class org.bouncycastle.asn1.x500.style.AbstractX500NameStyle
`areEqual, calculateHashCode, copyHashTable, rdnAreEqual, stringToValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### businessCategory

    public static final ASN1ObjectIdentifier businessCategory

### c

    public static final ASN1ObjectIdentifier c

### cn

    public static final ASN1ObjectIdentifier cn

### dc

    public static final ASN1ObjectIdentifier dc

### description

    public static final ASN1ObjectIdentifier description

### destinationIndicator

    public static final ASN1ObjectIdentifier destinationIndicator

### distinguishedName

    public static final ASN1ObjectIdentifier distinguishedName

### dnQualifier

    public static final ASN1ObjectIdentifier dnQualifier

### enhancedSearchGuide

    public static final ASN1ObjectIdentifier enhancedSearchGuide

### facsimileTelephoneNumber

    public static final ASN1ObjectIdentifier facsimileTelephoneNumber

### generationQualifier

    public static final ASN1ObjectIdentifier generationQualifier

### givenName

    public static final ASN1ObjectIdentifier givenName

### houseIdentifier

    public static final ASN1ObjectIdentifier houseIdentifier

### initials

    public static final ASN1ObjectIdentifier initials

### internationalISDNNumber

    public static final ASN1ObjectIdentifier internationalISDNNumber

### l

    public static final ASN1ObjectIdentifier l

### member

    public static final ASN1ObjectIdentifier member

### name

    public static final ASN1ObjectIdentifier name

### o

    public static final ASN1ObjectIdentifier o

### ou

    public static final ASN1ObjectIdentifier ou

### owner

    public static final ASN1ObjectIdentifier owner

### physicalDeliveryOfficeName

    public static final ASN1ObjectIdentifier physicalDeliveryOfficeName

### postalAddress

    public static final ASN1ObjectIdentifier postalAddress

### postalCode

    public static final ASN1ObjectIdentifier postalCode

### postOfficeBox

    public static final ASN1ObjectIdentifier postOfficeBox

### preferredDeliveryMethod

    public static final ASN1ObjectIdentifier preferredDeliveryMethod

### registeredAddress

    public static final ASN1ObjectIdentifier registeredAddress

### roleOccupant

    public static final ASN1ObjectIdentifier roleOccupant

### searchGuide

    public static final ASN1ObjectIdentifier searchGuide

### seeAlso

    public static final ASN1ObjectIdentifier seeAlso

### serialNumber

    public static final ASN1ObjectIdentifier serialNumber

### sn

    public static final ASN1ObjectIdentifier sn

### st

    public static final ASN1ObjectIdentifier st

### street

    public static final ASN1ObjectIdentifier street

### telephoneNumber

    public static final ASN1ObjectIdentifier telephoneNumber

### teletexTerminalIdentifier

    public static final ASN1ObjectIdentifier teletexTerminalIdentifier

### telexNumber

    public static final ASN1ObjectIdentifier telexNumber

### title

    public static final ASN1ObjectIdentifier title

### uid

    public static final ASN1ObjectIdentifier uid

### uniqueMember

    public static final ASN1ObjectIdentifier uniqueMember

### userPassword

    public static final ASN1ObjectIdentifier userPassword

### x121Address

    public static final ASN1ObjectIdentifier x121Address

### x500UniqueIdentifier

    public static final ASN1ObjectIdentifier x500UniqueIdentifier

### INSTANCE

    public static final X500NameStyle INSTANCE

  Singleton instance.

### defaultLookUp

    protected final java.util.Hashtable defaultLookUp

### defaultSymbols

    protected final java.util.Hashtable defaultSymbols

Constructor Detail

### RFC4519Style

    protected RFC4519Style()

Method Detail

### encodeStringValue

    protected ASN1Encodable encodeStringValue(ASN1ObjectIdentifier oid,
                                              java.lang.String value)

  Description copied from class: `AbstractX500NameStyle`
  Encoded every value into a UTF8String.

  Subclasses should overwrite this method to change the encoding of specific types.

  Overrides:
    `encodeStringValue` in class `AbstractX500NameStyle`
  Parameters:
    `oid` - the DN oid of the value
    `value` - the String representation of the value
  Returns:
    a the value encoded into a ASN.1 object. Never returns null.

### oidToDisplayName

    public java.lang.String oidToDisplayName(ASN1ObjectIdentifier oid)

  Description copied from interface: `X500NameStyle`
  Return the display name for toString() associated with the OID.

  Parameters:
    `oid` - the OID of interest.
  Returns:
    the name displayed in toString(), null if no mapping provided.

### oidToAttrNames

    public java.lang.String[] oidToAttrNames(ASN1ObjectIdentifier oid)

  Description copied from interface: `X500NameStyle`
  Return the acceptable names in a String DN that map to OID.

  Parameters:
    `oid` - the OID of interest.
  Returns:
    an array of String aliases for the OID, zero length if there are none.

### attrNameToOID

    public ASN1ObjectIdentifier attrNameToOID(java.lang.String attrName)

  Description copied from interface: `X500NameStyle`
  Return the OID associated with the passed in name.

  Parameters:
    `attrName` - the string to match.
  Returns:
    an OID

### fromString

    public RDN[] fromString(java.lang.String dirName)

  Description copied from interface: `X500NameStyle`
  Return an array of RDN generated from the passed in String.

  Parameters:
    `dirName` - the String representation.
  Returns:
    an array of corresponding RDNs.

### toString

    public java.lang.String toString(X500Name name)

  Description copied from interface: `X500NameStyle`
  Convert the passed in X500Name to a String.

  Parameters:
    `name` - the name to convert.
  Returns:
    a String representation.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD